Bug 198301 - xfs root filesystem quota problem
xfs root filesystem quota problem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 17:56 EDT by Jan Engelhardt
Modified: 2008-05-06 12:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:06:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Engelhardt 2006-07-10 17:56:19 EDT
Description of problem:
The finished initrd image does not seem to support the rootflags= option
required for quota when / is XFS.

Version-Release number of selected component (if applicable):
FC5 Bordeaux/i686

How reproducible:
Adding rootflags=usrquota,grpquota to the kernel boot line has no effect.

Actual results:
No quota activated on /

Expected results:
Should have activated quota on xfs /.

Additional info:
initrd scripts (distro-independent) go like this:
mount /, mostly indicated by root= option or by some other trick
look at /etc/fstab
remount / using the flags in /etc/fstab

This does not work for XFS because activating quota must be done on _the very
first_ mount and is rejected with an error is attempted later. This is why
rootflags= must be used. In environments where kernels with no initrd are used,
the kernel passed rootflags= directly to the xfs code; in environments where
initrds are employed, the initrd scripts must parse it out and pass to the first
mount command (when mounting / readonly).

The latter (parsing rootflags= in initrd) is not supported.
Comment 1 Peter Jones 2006-08-16 17:09:53 EDT
Why can't this just be set in fstab like with other filesystem parameters?
Comment 2 Jan Engelhardt 2006-08-16 17:21:21 EDT
Because, the filesystem that contains fstab must _already_ be mounted using usrquota and/or grpquota, even if it is just mounted read-only.
Comment 3 Eric Sandeen 2008-02-12 22:15:18 EST
Peter, essentially quotas on xfs are not a remountable option, IIRC.
Comment 4 Bug Zapper 2008-04-03 23:16:40 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:06:16 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.